#pragma once
#ifndef _BULLET_H_INCLUDED
#define _BULLET_H_INCLUDED

struct {
	int x, y;
	int used = 0;
	int mx, my;
}typedef Shell;

#define SHELL_MAXNUM 100

struct {
	Shell shells[SHELL_MAXNUM];
	int w, h;
	int image;
	int damage;
	int speed;
	int interval;
}typedef Bullet;

extern void shootBullet(Bullet * bullet, int x, int y);
extern void shootBullet(Bullet * bullet, int x, int y, int mx, int my);
extern void drawBullet(Bullet * bullet);
extern void updateBullet(Bullet * bullet);
extern void clearBullet(Bullet * bullet);

#endif